Summary: The BSD database library for C (version 2).
Name: db2
Version: 2.4.14
Release: 10
#Source: http://www.sleepycat.com/update/2.7.7/db-2.7.7.tar.gz
# Taken from glibc 2.1.3
Source: db2-glibc-2.1.3.tar.gz
# Patch to make it standalone
Patch0: db2-glibc-2.1.3.patch
Patch1: db2-2.4.14-db2.patch
Patch2: db2-2.4.14-s390.patch
Patch3: db2-2.4.14-nodebug.patch
Patch4: db2-2.4.14-fileid_64bit_fix.patch
URL: http://www.sleepycat.com/
License: Sleepycat (BSD-ish)
Group: System Environment/Libraries
PreReq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{_prefix}
%ifnarch ia64
Conflicts: glibc < 2.1.90
%endif

%package devel
Summary: Development files for Berkeley DB (version 2) library.
Group: Development/Libraries
Prefix: %{_prefix}
Requires: %{name} = %{version}
%ifnarch ia64
Conflicts: glibc-devel < 2.1.90
%endif

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package should be installed if
compatibility is needed with databases created with the Berkeley DB
version 2. This library used to be part of the glibc package.

%description devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use Berkeley
DB version 2.

%prep
%setup -q -n db2
%patch0 -p1
%patch1 -p1 -b .db2
%patch2 -p1 -b .fpic
%patch3 -p1 -b .nodebug
%patch4 -p1 -b .64fix

%build
CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/{include/db2,lib,bin}

# XXX this causes all symbols to be deleted from the shared library
#strip -R .comment libdb2.so.3
install -m644 libdb2.a			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.a
install -m755 libdb2.so.3		$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.so.3
ln -sf libdb2.so.3 			$RPM_BUILD_ROOT/%{_prefix}/lib/libdb2.so
ln -sf libdb2.a				$RPM_BUILD_ROOT/%{_prefix}/lib/libndbm.a
ln -sf libdb2.so.3			$RPM_BUILD_ROOT/%{_prefix}/lib/libndbm.so

install -m644 db.h			$RPM_BUILD_ROOT/%{_prefix}/include/db2
install -m644 db_185.h			$RPM_BUILD_ROOT/%{_prefix}/include/db2
for p in db_archive db_checkpoint db_deadlock db_dump db_load \
	 db_printlog db_recover db_stat; do
	q="`echo $p | sed -e 's,^db_,db2_,'`"
	install -m755 $p		$RPM_BUILD_ROOT/%{_prefix}/bin/$q
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README LICENSE
%{_prefix}/lib/libdb2.so.3

%files devel
%defattr(-,root,root)
%{_prefix}/include/db2/db.h
%{_prefix}/include/db2/db_185.h
%{_prefix}/lib/libdb2.a
%{_prefix}/lib/libdb2.so
%{_prefix}/lib/libndbm.a
%{_prefix}/lib/libndbm.so
%{_prefix}/bin/db2_archive
%{_prefix}/bin/db2_checkpoint
%{_prefix}/bin/db2_deadlock
%{_prefix}/bin/db2_dump
%{_prefix}/bin/db2_load
%{_prefix}/bin/db2_printlog
%{_prefix}/bin/db2_recover
%{_prefix}/bin/db2_stat

%changelog
* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 2.4.14-10
- install programs without -s, rely on brp-* instead.

* Thu Nov  1 2001 Bill Nottingham <notting@redhat.com>
- fix license (#54575)

* Sat Oct 20 2001 Yukihiro Nakai <ynakai@redhat.com>
- Add 64 bit fix patch

* Thu Aug 16 2001 Nalin Dahyabhai <nalin@redhat.com>
- build without -g

* Mon Jun 18 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use -fPIC on s390x as it is faster
  patch from Oliver Paukstadt <oliver.paukstadt@millenux.com>

* Fri Oct  6 2000 Jeff Johnson <jbj@redhat.com>
- license is not BSD, GPL is closer (#17578).

* Thu Aug 17 2000 Bill Nottingham <notting@redhat.com>
- fix ia64 conflicts

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Fri Jul 14 2000 Jeff Johnson <jbj@redhat.com>
- remove "strip -R comment" from spec file, rely on brp-* instead.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Wed Jun 28 2000 Matt Wilson <msw@redhat.com>
- regenerated the db2.patch to link against -ldb2, not -ldb

* Mon May  8 2000 Jeff Johnson <jbj@redhat.com>
- Rename files (like db1) to prepare for db3 deployment.
- Change version to reflect Berkeley db rather than glibc distribution.

* Thu Apr 27 2000 Jakub Jelinek <jakub@redhat.com>
- Don't provide makedb, it is provided by glibc.

* Wed Apr 20 2000 Jakub Jelinek <jakub@redhat.com>
- Create.
